#include "tabbarlabel.h"

TabBarLabel::TabBarLabel(AppTabBar *parent, QPixmap image) : QLabel(parent),
    tabBar(parent)
{
    this->setPixmap(image);
    this->setScaledContents(true);
    this->setStyleSheet("background: transparent;");
    this->setToolTip(QObject::tr("Close"));
}

void TabBarLabel::mousePressEvent(QMouseEvent *event)
{
    qDebug() << "Clicked...";
    QMetaObject::invokeMethod(tabBar, "tabCloseRequested", Qt::DirectConnection, Q_ARG(int, this->tabIndex()));
    QLabel::mousePressEvent(event);
}

int TabBarLabel::tabIndex() const
{
    for (int i = 0; i < tabBar->count(); i++) {
        if (tabBar->tabButton(i, QTabBar::RightSide) == this) {
            return i;
        }
    }

    return -1;
}

TabBarLabel::~TabBarLabel()
{

}
