#include "testwidget.h"

TestWidget::TestWidget(QWidget *parent)
    : QWidget(parent)
{
    setMinimumSize(900, 560);
    AppTabControl *tabControl = new AppTabControl(this, 30, 115);
    tabControl->setTabsClosable(false);
    connect(tabControl->tabBar(), &AppTabBar::tabCloseRequested, this, [this, tabControl](int tabIndex) {
        tabControl->removeTab(tabIndex);
    });
    this->setStyleSheet("QTabBar::tab {color: #000000; font-weight: bold; font-size: 10px; font-family: Gotham, Helvetica Neue, Helvetica, Arial, sans-serif;} "
                        "QTabBar::tab:selected {background-color: #FA9944; color: #000000; border-top: 1px solid #FA9944;} "
                        "QTabBar::tab:hover {color: #000000; border-top: 1px solid #FA9944; background-color: #FFFFFF;}");
    AppTabBar *tabBar1 = new AppTabBar(tabControl);
    TabBarLabel *closeTab2Label = new TabBarLabel(reinterpret_cast<AppTabBar*>(tabControl->tabBar()), QIcon(":/Icons/close_tab_icon.png").pixmap(12, 12));
    TabBarLabel *closeTab3Label = new TabBarLabel(reinterpret_cast<AppTabBar*>(tabControl->tabBar()), QIcon(":/Icons/close_tab_icon.png").pixmap(12, 12));
    AppTabBar *tabBar2 = new AppTabBar(tabControl);
    AppTabBar *tabBar3 = new AppTabBar(tabControl);
    tabControl->addTab(tabBar1, "Tab1");
    int tab2Index = tabControl->addTab(tabBar2, "Tab2");
    int tab3Index = tabControl->addTab(tabBar3, "Tab3");
    tabControl->tabBar()->setTabButton(tab2Index, QTabBar::RightSide, closeTab2Label);
    tabControl->tabBar()->setTabButton(tab3Index, QTabBar::RightSide, closeTab3Label);
    QHBoxLayout *mainLayout = new QHBoxLayout();
    mainLayout->setContentsMargins(QMargins());
    mainLayout->addWidget(tabControl);
    setLayout(mainLayout);
    qDebug() << "x: " << tabControl->tabBar()->tabButton(tab2Index, QTabBar::RightSide)->pos().x() << " | y:" << tabControl->tabBar()->tabButton(tab2Index, QTabBar::RightSide)->pos().y();
}

TestWidget::~TestWidget()
{

}

